Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class BeanPanel.CustomDocumentListener

    java.lang.Object
      org.crosswire.common.swing.BeanPanel.CustomDocumentListener

All Implemented Interfaces:
  EventListener, DocumentListener

Enclosing class:
  BeanPanel

    private final class BeanPanel.CustomDocumentListener

extends Object
implements DocumentListener

Document Listener that updates the original bean

Field Summary
`private JTextField` | `text` The text field that we are monitoring
`private Method` | `writer` The method of updating the original bean

Constructor Summary
`protected` | `BeanPanel.CustomDocumentListener(JTextField text, Method writer)` Simple ctor

Method Summary
`void` | `changedUpdate(DocumentEvent ev)`
`void` | `insertUpdate(DocumentEvent ev)`
`void` | `removeUpdate(DocumentEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    private final JTextField text

  The text field that we are monitoring

### writer

    private final Method writer

  The method of updating the original bean

Constructor Detail

### BeanPanel.CustomDocumentListener

    protected BeanPanel.CustomDocumentListener(JTextField text,
                                               Method writer)

  Simple ctor

Method Detail

### changedUpdate

    public void changedUpdate(DocumentEvent ev)

  Specified by:
    `changedUpdate` in interface `DocumentListener`

### insertUpdate

    public void insertUpdate(DocumentEvent ev)

  Specified by:
    `insertUpdate` in interface `DocumentListener`

### removeUpdate

    public void removeUpdate(DocumentEvent ev)

  Specified by:
    `removeUpdate` in interface `DocumentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD